# Ogre::ManualObject::TempVertex Struct Reference

Temporary vertex structure. More...

`#include <OgreManualObject.h>`

List of all members.

## Public Attributes

Vector3 | position
Vector3 | normal
Vector4 | texCoord [OGRE_MAX_TEXTURE_COORD_SETS]
ushort | texCoordDims [OGRE_MAX_TEXTURE_COORD_SETS]
ColourValue | colour

## Detailed Description

Temporary vertex structure.

Definition at line 460 of file OgreManualObject.h.

## Member Data Documentation

Vector3 Ogre::ManualObject::TempVertex::position

Definition at line 462 of file OgreManualObject.h.

Vector3 Ogre::ManualObject::TempVertex::normal

Definition at line 463 of file OgreManualObject.h.

Vector4 Ogre::ManualObject::TempVertex::texCoord[OGRE_MAX_TEXTURE_COORD_SETS]

Definition at line 464 of file OgreManualObject.h.

ushort Ogre::ManualObject::TempVertex::texCoordDims[OGRE_MAX_TEXTURE_COORD_SETS]

Definition at line 465 of file OgreManualObject.h.

ColourValue Ogre::ManualObject::TempVertex::colour

Definition at line 466 of file OgreManualObject.h.

The documentation for this struct was generated from the following file:

- OgreManualObject.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:28:56 2009